# Module `wibox.layout.mirror`

### Info:

- Author: dodo
- Copyright: 2012 dodo
- Release: v3.5.1

## Functions

mirror:draw (wibox, cr, width, height) | Draw this layout
mirror:fit (...) | Fit this layout into the given area
mirror:set_widget (widget) | Set the widget that this layout mirrors.
mirror:reset () | Reset this layout.
mirror:set_reflection (reflection) | Set the reflection of this mirror layout.
mirror:get_reflection () | Get the reflection of this mirror layout.
new (widget, reflection) | Returns a new mirror layout.

## Functions

mirror:draw (wibox, cr, width, height)
  Draw this layout

  ### Parameters:

  - wibox
  - cr
  - width
  - height
mirror:fit (...)
  Fit this layout into the given area

  ### Parameters:

  - ...
mirror:set_widget (widget)
  Set the widget that this layout mirrors.

  ### Parameters:

  - widget The widget to mirror
mirror:reset ()
  Reset this layout. The widget will be removed and the axes reset.
mirror:set_reflection (reflection)
  Set the reflection of this mirror layout.

  ### Parameters:

  - reflection a table which contains new values for horizontal and/or vertical (booleans)
mirror:get_reflection ()
  Get the reflection of this mirror layout.

  ### Returns:

  a table of booleans with the keys "horizontal", "vertical".
new (widget, reflection)
  Returns a new mirror layout. A mirror layout mirrors a given widget. Use :set_widget() to set the widget and :set_horizontal() and :set_vertical() for the direction. horizontal and vertical are by default false which doesn't change anything.

  ### Parameters:

  - widget The widget to display (optional)
  - reflection A table describing the reflection to apply (optional)

generated by LDoc 1.3